Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
TermsHash.h File Reference
`#include "InvertedDocConsumer.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::TermsHash
| This class implements InvertedDocConsumer, which is passed each token produced by the analyzer on each field. It stores these tokens in a hash table, and allocates separate byte streams per token. Consumers of this class, eg FreqProxTermsWriter and TermVectorsTermsWriter, write their own byte streams under each term. More...

## Namespaces

| Lucene

clucene.sourceforge.net